# Generated from puppet-lint-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gemname puppet-lint

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Name: rubygem-%{gemname}
Version: 1.1.0
Release: 1%{?dist}
Summary: Ensure your Puppet manifests conform with the Puppetlabs style guide
Group: Development/Languages
License: MIT
URL: http://puppet-lint.com/
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
# Patch already accepted upstream and will be in the next release
# https://github.com/rodjek/puppet-lint/pull/141
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: ruby
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems) 
BuildRequires: ruby
BuildRequires: ruby-rdoc
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Checks your Puppet manifests against the Puppetlabs
style guide and alerts you to any discrepancies.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gemname}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gemname}.gemspec

%build
mkdir -p .%{gemdir}

# Create the gem as gem install only works on a gem file
gem build %{gemname}.gemspec

# gem install installs into a directory.  We set that to be a local
# directory so that we can move it into the buildroot in install
gem install --local --install-dir ./%{gemdir} \
            --bindir ./%{_bindir} \
            --force --rdoc %{gemname}-%{version}.gem

%install
mkdir -p %{buildroot}%{gemdir}
cp -ap ./%{gemdir}/* \
        %{buildroot}%{gemdir}/

mkdir -p %{buildroot}%{_bindir}
cp -ap ./%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x
# remove unecisary execute bit
chmod a-x %{buildroot}%{geminstdir}/lib/puppet-lint/bin.rb

%files
%dir %{geminstdir}
%{_bindir}/puppet-lint
%{geminstdir}/bin
%{geminstdir}/lib
%{geminstdir}/Gemfile
%doc %{geminstdir}/LICENSE
%exclude %{gemdir}/cache/%{gemname}-%{version}.gem
%exclude %{geminstdir}/.gitignore
%exclude %{geminstdir}/.travis.yml
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/%{gemname}.gemspec
%{geminstdir}/spec
%{geminstdir}/Rakefile
%doc %{geminstdir}/README.md

%changelog
* Wed Jan 14 2015 Russell Harrison <rharrison@fedoraproject.org> 1.1.0-1
- Upstream update to 1.1.0

* Tue Oct 30 2012 Russell Harrison <rharrison@fedoraproject.org> 0.3.2-1
- New upstream version. http://puppet-lint.com/changelog/
- Remove exit code patch. Fixed in upstream

* Tue Sep 25 2012 Russell Harrison <rharrison@fedoraproject.org> 0.2.1-3
- Drop requirement for the puppet package
- Moving files not required at run time to the doc subpackage
- Excluding files not meant for packaging instead of removing them durring install
- Other fixes requested durring package review

* Wed Sep 12 2012 Russell Harrison <rharrison@fedoraproject.org> 0.2.1-2
- Patch to pass exit value to the shell https://github.com/rodjek/puppet-lint/pull/141

* Fri Sep 07 2012 Russell Harrison <rharrison@fedoraproject.org> - 0.2.1-1
- Initial package
